
TYPO3.Flow - Bug # 32700

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: Validation
Created: 2011-12-19 Assigned To: Andreas Förthner
Updated: 2012-01-29 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Validation does not work for collections
Description

Model validation stops as soons as a property is of type collection. What one would expect here is, that all objects inside this colleciton
get validated as well.

Related issues:
related to TYPO3.Media - Bug # 33564: Persisting image throws Exception Resolved 2012-01-31

Associated revisions
Revision dd6f600d - 2012-01-29 12:57 - Andreas Förthner

[FEATURE] Add validators for objects inside of collections

Model validation stops as soon as a property is of type collection. What one
would expect here is, that all objects inside this collection get validated as
well.

Change-Id: Idef99b975e4e71a64e5e6c117991a4b6ee192ee0
Resolves: #32700
Releases: 1.1

History
#1 - 2011-12-19 19:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5401

#2 - 2012-01-06 17:00 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5401

#3 - 2012-01-06 17:09 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5401
#4 - 2012-01-29 12:56 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

#5 - 2012-01-29 12:58 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5401

#6 - 2012-01-29 14:47 - Andreas Förthner
- Status changed from Under Review to Resolved

Applied in changeset commit:dd6f600dca46366e3109a47488bc6c3b607105d9.
